diff -r cbd3ea351e31 src/c4group/C4Group.cpp
--- a/src/c4group/C4Group.cpp	Mon Mar 29 01:58:02 2010 +0200
+++ b/src/c4group/C4Group.cpp	Mon Mar 29 21:51:40 2010 +0200
@@ -6,6 +6,7 @@
  * Copyright (c) 2002-2008  Peter Wortmann
  * Copyright (c) 2004-2008  Günther Brammer
  * Copyright (c) 2005  Armin Burgmeier
+ * Copyright (c) 2010  Carl-Philip Hänsch
  * Copyright (c) 2001-2009, RedWolf Design GmbH, http://www.clonk.de
  *
  * Portions might be copyrighted by other authors who have contributed
@@ -122,7 +123,11 @@
 
 bool C4Group_TestIgnore(const char *szFilename)
 {
-	return *GetFilename(szFilename) == '.' || SIsModule(C4Group_Ignore,GetFilename(szFilename));
+	const char* name = GetFilename(szFilename);
+	return 
+		  *name == '.' //no hidden files and the directory itself
+		|| name[strlen(name) - 1] == '~'  //not temp files
+		|| SIsModule(C4Group_Ignore,name); //no ignored groups
 }
 
 bool C4Group_IsGroup(const char *szFilename)
